
Robotics Service Bus - Bug #1728
Error in rsb.pc
01/27/2014 01:42 PM - Anonymous

Status: Resolved Start date: 01/27/2014
Priority: High Due date:
Assignee: % Done: 100%
Category: Configuration Estimated time: 0.00 hour
Target version: rsb-0.10
Description

The latest rsb.pc file (cf 
https://ci.cor-lab.org/view/rsb-0.10/job/rsb-cpp-0.10-package/label=ubuntu_precise_64bit/ws/build/rsb.pc/*view*/) has an erronous
linker flag for pthread.

It is
Libs: ${libdir}/librsb.so.0.10  -L/usr/lib ... pthread ...

where it should be
Libs: ${libdir}/librsb.so.0.10  -L/usr/lib ... -lpthread ...

rsb0.9 did not have this error, so we seem to have introduced this in rsb 0.10.

Associated revisions
Revision 5e438b0a - 01/27/2014 04:41 PM - Arne Nordmann 

Fixes exported boost library flags in pkg-config

    -  Due to an upstream bug in cmake, the pthread library is handled wrong: http://www.cmake.org/Bug/view.php?id=14720
    -  As a workaround, this patch loops through all boost libraries to fix the according library flags before exporting it to the rsb pkg-config
    -  This patch should be removed once the upstream bug is fixed

fixes #1728

Revision 695a2639 - 01/28/2014 11:37 AM - Arne Nordmann 

Port from 0.10: Fixes exported library flags in pkg-config

    -  Due to an upstream bug in cmake, the pthread library is handled wrong: http://www.cmake.org/Bug/view.php?id=14720
    -  As a workaround, this patch loops through all boost libraries to fix the according library flags before exporting it to the rsb pkg-config
    -  This patch should be removed once the upstream bug is fixed

refs #1728

History
#1 - 01/27/2014 02:45 PM - Anonymous
- File rsb-pkgconfig.patch added
- Status changed from New to Feedback
The attached patch should do the trick (I use it in a downstream project with the same issue). It uses the cmake macro get_filename_component to fix
the erroneous linker flags from find_package boost.
It surely is additional complexity, but shouldn't be too bad, as it uses cmake mechanisms.

#2 - 01/27/2014 04:30 PM - Anonymous
- Status changed from Feedback to In Progress
- Assignee set to Anonymous

After some debugging it seems, that this is an upstream bug in cmake or specifically the findboost macro. I reported it upstream to cmake: 
http://www.cmake.org/Bug/view.php?id=14720

So I will apply the patch above and refer to the upstream issue in the comment.

#3 - 01/27/2014 04:44 PM - Anonymous
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-cpp|commit:5e438b0a1cac1abaf42e004784a50d1aa8a9b443.

Files
rsb-pkgconfig.patch 692 Bytes 01/27/2014 Anonymous
